Leads
Add tags
Add tags to a lead (will not remove existing tags)
POST
/
leads
/
{leadId}
/
tags
cURL
curl --request POST \
--url https://api.attent.app/v1/leads/{leadId}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tagIds": [
"tag4",
"tag5"
]
}
'import requests
url = "https://api.attent.app/v1/leads/{leadId}/tags"
payload = { "tagIds": ["tag4", "tag5"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagIds: ['tag4', 'tag5']})
};
fetch('https://api.attent.app/v1/leads/{leadId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"id": "tag1",
"name": "VIP Customer"
},
{
"id": "tag2",
"name": "Interested"
},
{
"id": "tag4",
"name": "New Tag"
},
{
"id": "tag5",
"name": "Another Tag"
}
]
}{
"message": "Invalid tag IDs: invalid-tag-1"
}{
"message": "Forbidden"
}{
"message": "Lead not found"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
The ID of the lead to add tags to
Body
application/json
Array of tag IDs to add to the lead
Array of tag IDs to add to the lead
Response
Tags successfully added.
Array of all tags now assigned to the lead
Show child attributes
Show child attributes
⌘I
cURL

